insertion of block...

Discussion in 'AutoCAD' started by BriLaF, Feb 4, 2004.

  1. BriLaF

    BriLaF Guest

    I need some help out there...
    How do I get this routine to insert a block and not have to give a x & y scale factor. Where in the insert command do I give a "1" "1" for scale factor?
    Any help would be appreciated...


    (defun c:RECEPT (/ oce)
    (setq oce (getvar "CMDECHO"))
    (setvar "CMDECHO" 0)
    (command "_.-layer" "_M" "ELECT" "")
    (command "_.-layer" "_C" "4" "ELECT" "")
    (command "_.-layer" "_L" "CONTINUOUS" "ELECT" "")
    (command "_.-layer" "_ON" "ELECT" "")
    (command "_.-layer" "_T" "ELECT" "")
    (command "_.-layer" "_U" "ELECT" "")
    (command "_.INSERT" "RECEPT")
    (setvar "CMDECHO" oce)
    (princ)
    )
     
    BriLaF, Feb 4, 2004
    #1
  2. BriLaF,

    Change the line: (command "_.INSERT" "RECEPT")

    To: (command "_.INSERT" "RECEPT" pause "1" "1")
     
    Phil Kenewell, Feb 4, 2004
    #2
  3. My favorite approach is to use the Insert command's options:

    (command "._Insert" "Recept" "_s" 1 "_r" 0 pause)

    This approach will give you a dragging insert at the scale (and rotation)
    you have provided which is important if the scale is something other than 1.

    --
    R. Robert Bell, MCSE
    www.AcadX.com


    BriLaF,

    Change the line: (command "_.INSERT" "RECEPT")

    To: (command "_.INSERT" "RECEPT" pause "1" "1")
     
    R. Robert Bell, Feb 4, 2004
    #3
  4. (command "._Insert" "Recept" "_s" 1 "_r" 0 pause)

    I agree, Mr., Bell's approach is even better...
     
    Phil Kenewell, Feb 4, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.